---
layout:
  'hcl'
type:
  'notebook'
hvm:
  'yes'
iommu:
  'no'
slat:
  'yes'
tpm:
  'Device present'
remap:
  'no'
brand: |
  HP
model: |
  HP ProBook 11 G2 (11.6 inch)
bios: |
  N92 Ver. 01.39
cpu: |
  Intel(R) Core(TM) i3-6100U with Intel HD Graphics 520 (2.3 GHz, 3 MB cache, 2 cores)
cpu-short: |
  Intel(R) Core(TM) i3-6100U CPU @ 2.30GHz
chipset: |
  Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 08)
chipset-short: |
  
gpu: |
  Intel Corporation HD Graphics 520 <512MB CPU memory
gpu-short: |
  Intel HD Graphics 520 <512MB CPU memeory
network: |
  Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 15)
  Intel Dual Band Wireless-AC 3165 802.11 a/b/g/n/ac (1 x 1) and Bluetooth 4.0 Combo
memory: |
  DDR4 PC4-17000 (2133) SODIMMS (Transfer rates up to 2133 MT/s)
  One SODIMM slot
scsi: |
  SSD or M2 SSD
usb: |
  1x controller 3x USB 3.0 ports 
versions:

- works:
    'HVM for appvm:yes'
    'HVM for pci passthrough:no'
    'HVM for pci passthrough:no'
    'PV  for pci passthrough:yes'
    'PV  for pci passthrough:yes'
    'PVH for appvm:yes'
    'PV for appvm:yes'
    'VT-d/iommu:no'
    'VT-x:yes'
    'SLAT:yes'
    'Remapping:no'
    'Audio:yes'
    'Camera:yes'
    'Mic:yes'
    'Trackpad:yes'
    'All good:yes'
  qubes: |
    R4.0
  xen: |
    4.8.5-7.fc25
  kernel: |
    4.19.58-1
  remark: |
    Laptop hardware lacks:Vt-d/iommu
    Laptop hardware lacks:Remapping
    USB passthrough works for PV mode only
    PCI passthrough works for PV mode only
    Official max memory for notebook is 8GB however it runs with 16GB memory (confirmed) and dmidecode indicates a chipset memory capability of up to 32GB.
    I found it necessary to install QubesOS to a harddrive in Legacy mode on another PC and then move the hard drive to the notebook. The laptop seems only to detect the EFI option for USB installation and the Qubes boot option is not present both before or after installation. The missing Qubes boot option issue is documented in Qubes OS documentation (https://www.qubes-os.org/doc/uefi-troubleshooting/) however I was unable to achieve EFI installation. Legacy mode works fine.
    Once installed Qubes runs very well notwithstanding the aforementioned hardware limitations (no VT-d/iommu or Remapping.
  credit: |
    QubeNoob
  link: |
    

---

